coupang
PATCH/v2/providers/openapi/apis/api/v4/vendors/{vendorId}/returnRequests/{receiptId}/receiveConfirmationv1

Return product receipt confirmation

# 01

Summary

Available buyer market: Korean, Taiwan When searching for the return request list, return cases, whose receiptStatus is RETURNS_UNCHECKED, can be processed.

# 02

Details

Available buyer market: Korean, Taiwan

When searching for the return request list, return cases, whose receiptStatus is RETURNS_UNCHECKED, can be processed.

For the products which are not “for quick refund” or which are “not tracked with their return waybill,” please process them for

※ When you are using auto return integration service,
- Products for quick refund: You don’t have to “confirm return product receipt” as the return pickup waybill is tracked.
- Products not for quick refund: You have to “confirm return product receipt” and “approve return request.”
 
When you complete [return product receipt confirmation], the products for quick refund (pre-refund), whose waybill was untraceable, will get immediately refunded. And they will get return approval and completed.

Therefore, if a product is for quick refund and using Goodsflow, you don’t have to “confirm refund request approval” additionally.

- Products subject to quick refund: The products for regular delivery with the price of less then KRW 100K (Fresh and custom-made products are not included)

*For easier understanding, please refer to Return API Workflow.
 
*If you find out any problem with the returned product for shipping fee after [return product receipt confirmation] and return, please go to WING and submit “Coupang confirmation request.”
 

Path

PATCH PUT

/v2/providers/openapi/apis/api/v4/vendors/{vendorId}/returnRequests/{receiptId}/receiveConfirmation

Example Endpoint

https://api-gateway.coupang.com/v2/providers/openapi/apis/api/v4/vendors/A00012345/returnRequests/363585/receiveConfirmation

Request Parameters

Path Segment Parameter

Name Required Type Description
vendorId O String 
Seller ID
A unique code issued by Coupang to seller
e.g. A00012345
receiptId O Number 
Cancellation (return) request ID
ReceiptId can be found through Return Request List Seach API
ReceiptId must be number type

Body Parameter

Name Required Type Description
vendorId O String
Seller ID
A unique code issued by Coupang to seller
e.g. A00012345
receiptId O Number
Cancellation (return) request ID

Request Example

{
  "vendorId": "A00013264",
  "receiptId": 363585
}

Response Message

Name Type Description
code Number
Http request status code
Example: 200, 400, 500
message String
This message will appear in case of success or failure
data Object
 

Response Example

{
  "code": "200",
  "message": "OK"
}

URL API Name

GET_RETURN_REQUEST_CONFIRMATION